Webhooks
Subscribes to change events for the counter groups collection.
Caution
Read the Webhooks page. There is important information on required implementation!
Note
When a counter group is saved in myProtime, all counter groups are saved, even if there are no changes. This will result in webhook events for all counter groups.
Tip
Check the Swagger page for more technical information on the endpoints.
Endpoint details
POST
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/webhooks
Headers: Authorization: Bearer {token}, User-Agent: {agent}
Scope: connector-protimeapi-webhooks.write
Body properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
destinationUrl |
string | Yes | Yes | The URL where webhook events will be sent. |
collectionName |
string | Yes | Yes | The name of the collection to subscribe to (counter-groups). |
Event properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
changeVersion |
string | — | Read-only | Property to indicate the order of changes. |
id |
integer | — | Read-only | Internal unique identifier for the counter group. |
name.default |
string | — | Read-only | Default name value of the counter group. |
name.translations |
object | — | Read-only | A list of translated names of the counter group by language code. |
External references
Webhook event payloads for counter groups do not include external references.
Error responses
| Status | Condition |
|---|---|
400 |
Invalid destination URL or unknown collection name |
401 |
Missing or invalid access token, or insufficient scope |
Success response
201 Created with webhook key and validUntil in the response body.
Examples
Creating a webhook for counter groups
POST
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/webhooks
{
"destinationUrl": "https://www.fictional-customer.com/protime/counter-groups",
"collectionName": "counter-groups"
}